/*
 * solvers.h: 
 */

#ifndef SOLVERS_H_
#define SOLVERS_H_

#include "../objects/objects.h"
#include "../io/io.h"

struct OptArgs;
class FemModel;

void solver_thermal_nonlinear(FemModel* femmodel);
void solver_nonlinear(FemModel* femmodel,bool conserve_loads);
void solver_newton(FemModel* femmodel);
void solver_stokescoupling_nonlinear(FemModel* femmodel,bool conserve_loads);
void solver_linear(FemModel* femmodel);
void solver_adjoint_linear(FemModel* femmodel);

#endif
